Net::DBus::Binding::Message::Error(3)

NAME
Net::DBus::Binding::Message::Error - a message encoding a method call error

SYNOPSIS
  use Net::DBus::Binding::Message::Error;

  my $error = Net::DBus::Binding::Message::Error->new(
      replyto => $method_call,
      name => "org.example.myobject.FooException",
      description => "Unable to do Foo when updating bar");

  $connection->send($error);

DESCRIPTION
This module is part of the low-level DBus binding APIs, and should not be used by application code. No guarentees are made about APIs under the "Net::DBus::Binding::" namespace being stable across releases.

This module provides a convenience constructor for creating a message representing an error condition.

METHODS

my $error = Net::DBus::Binding::Message::Error->new( replyto => $method_call, name => $name, description => $description);
    Creates a new message, representing an error which occurred during the handling of the method call object passed in as the "replyto" parameter. The "name" parameter is the formal name of the error condition, while the "description" is a short piece of text giving more specific information on the error.

my $name = $error->get_error_name
    Returns the formal name of the error, as previously passed in via the "name" parameter in the constructor.

AUTHOR
Daniel P. Berrange.

COPYRIGHT
Copyright (C) 2005-2006 Daniel P. Berrange

SEE ALSO
Net::DBus::Binding::Message